# Generated from in-parallel-0.1.17.gem by gem2rpm -*- rpm-spec -*-
%global gem_name in-parallel

Name: rubygem-%{gem_name}
Version: 0.1.17
Release: 1%{?dist}
Summary: A lightweight library to execute a handful of tasks in parallel with simple syntax
License: MIT
URL: https://github.com/puppetlabs/in-parallel
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Many other Ruby libraries that simplify parallel execution support one primary
use case - crunching through a large queue of small, similar tasks as quickly
and efficiently as possible.  This library primarily supports the use case of
executing a few larger and unrelated tasks in parallel, automatically managing
the stdout and passing return values back to the main process. This library
was created to be used by Puppet's Beaker test framework to enable parallel
execution of some of the framework's tasks, and allow users to execute code in
parallel within their tests.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/MAINTAINERS.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.17-1
- Initial package
